## org.gnu.atk
Class State

    java.lang.Object
      org.gnu.atk.State

public class State
extends java.lang.Object

Constructor Summary
`State()`

Method Summary
`static StateType` `getTypeForName(java.lang.String name)`
`static java.lang.String` `getTypeName(StateType type)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### State

    public State()

Method Detail

### getTypeName

    public static java.lang.String getTypeName(StateType type)

### getTypeForName

    public static StateType getTypeForName(java.lang.String name)